Create a Candidate

Creates new candidate for a specified position. Returns the Candidate.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
{
    "position_uid": "11.11",
    "partner_candidate_id": "1111A",
    "first_name": "Bobby",
    "middle_name": "Robert",
    "last_name": "Chauck",
    "email": "[email protected]",
    "phone": "07-4442321",
    "mobile_phone": "052-8644246",
    "national_id": "5454-2233-1",
    "linkedin_url": "https://www.linkedin.com/in/bobby-hauck-06b0735",
    "salary_expectations": "80k / Annual",
    "prospect_status": "Interested",
    "resume":
    {
        "name": "bobby_cv.docx",
        "file": "BASE64"
    },
    "picture":
    {
        "file": "BASE64",
        "name": "image.png"
    },
    "links": [
    	{
     	   "url": "https://www.github.com/bobbyc"
    	}
    	//...
    ],
    "files": [
    	{
      	  "name": "Coding Challenge",
        	"file": "BASE64"
    	},
    	//...
    ],
    "source_contact": 
    {  
        "full_name": "Michael Rosen",
        "email": "[email protected]",
        "phone": "555 555 1234"
    },
    "address":
    {
        "country": "US",
        "city": "New York",
        "state": "NY",
        "zip": "11249",
        "street": "109 S 5th st. #302"
    },
    "custom_fields":
    {
        "field1": "value1",
        //...
    },
    "note": "The candidate expressed his interest in this position"
}
{  
  "uid": "00.AAA",
  "position_uid": "11.11",
  "source_contact": {  
    "full_name": "Michael Rosen",
    "email": "[email protected]",
    "phone": "555 555 1234"
  },
  "time_created": "2018-01-01T12:50:50Z",
  "time_last_status_changed": "2018-01-01T12:50:50Z",
  "current_steps": [  
    {  
      "name": "Technical interview",
      "type": "In person Interview",
      "time_scheduled": "2018-01-01T12:50:50Z"
    }
  ],
  "completed_steps": [  
    {  
      "name": "CV Screen",
      "type": "Go/No-go",
      "time_scheduled": "2018-01-01T12:50:50Z",
      "time_completed": "2018-03-03T12:50:50Z"
    }
  ],
  "status": "In progress"
}
{  
  "status":409,
  "error":"candidate_post_conflict",
  "message":"Candidate with provided partner_candidate_id already exists in position with status in progress",
  "candidate_uid":5555
}
🚧

Keeping track of candidate fields

NOTE: Not all fields submitted in the body of the POST request can be retrieved later through GET. Make sure you keep track of everything you need in your service.

Body Params
string
required

The UID of the position to which the candidate should be added

string
required

Unique ID of the candidate on the partner's system

string
required
string
string
required
string
string
string
string
string
string

Access to this field is restricted in Comeet (BETA)

string

One of the following: Sourced, Contacted, Responded, Interested, Not interested, Do not contact

resume
object
picture
object

Profile photo

files
array of objects
files
source_contact
object

Include the source contact if your app aggregates multiple sources. For example, use this object to include the details headhunter who submitted the candidate

address
object
string

Plain text, no formatting.

Language
Credentials
OAuth2
LoadingLoading…